@import "../../styles/variables/colors.scss";

.reset-password-page__container {
    width: 100%;

    &.reset-password-page__container.light-theme {
        background-color: $white-milk;
    }

    .reset-password-page__content {
        width: 500px;
        margin: 50px auto;
        background-color: $bg_brand;
        border-radius: 8px;
        box-shadow: 0px 0px 6px 0 $secondary_btn_bg;
        padding: 20px;
        box-sizing: border-box;
        display: flex;
        flex-direction: column;
        align-items: center;

        &.reset-password-page__content.light-theme {
            background-color: $white;
        }

        .reset-password-page__title {
            width: 100%;
            text-align: center;
            font-size: 26px;
            color: $white;
            padding-bottom: 20px;
            border-bottom: 1px solid $secondary_btn_bg;
            box-sizing: border-box;

            .reset-password-page__title--logo {
                color: $blue_facebook-hover;
            }
        }

        .reset-password-page__title.light-theme {
            color: $black;
        }

        @media (max-width: 1024px) {
            width: 80%;
            margin: 30px auto;
            padding: 15px;

            .reset-password-page__title {
                font-size: 22px;
                padding-bottom: 15px;
            }
        }

        @media (max-width: 620px) {
            width: 90%;
            margin: 20px auto;
            padding: 10px;

            .reset-password-page__title {
                font-size: 18px;
                padding-bottom: 10px;
            }
        }
    }
}